GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions
alarm_heap.h File Reference
`#include "src/core/iomgr/alarm.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_alarm_heap

## Functions
int | grpc_alarm_heap_add (grpc_alarm_heap *heap, grpc_alarm *alarm)
void | grpc_alarm_heap_init (grpc_alarm_heap *heap)
void | grpc_alarm_heap_destroy (grpc_alarm_heap *heap)
void | grpc_alarm_heap_remove (grpc_alarm_heap *heap, grpc_alarm *alarm)
grpc_alarm * | grpc_alarm_heap_top (grpc_alarm_heap *heap)
void | grpc_alarm_heap_pop (grpc_alarm_heap *heap)
int | grpc_alarm_heap_is_empty (grpc_alarm_heap *heap)

## Function Documentation

int grpc_alarm_heap_add | ( | grpc_alarm_heap * | heap,
|  | grpc_alarm * | alarm
| ) |  |

void grpc_alarm_heap_destroy | ( | grpc_alarm_heap * | heap | ) |

void grpc_alarm_heap_init | ( | grpc_alarm_heap * | heap | ) |

int grpc_alarm_heap_is_empty | ( | grpc_alarm_heap * | heap | ) |

void grpc_alarm_heap_pop | ( | grpc_alarm_heap * | heap | ) |

void grpc_alarm_heap_remove | ( | grpc_alarm_heap * | heap,
|  | grpc_alarm * | alarm
| ) |  |

grpc_alarm* grpc_alarm_heap_top | ( | grpc_alarm_heap * | heap | ) |